# Order Import

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Mutations and types for importing Orders in the platform.**

## Mutations

### Import Order

[fetch SDL for mutation importOrder](#graphql-partial-sdls).

## Output types

### Order

[fetch SDL for type Order](#graphql-partial-sdls).

## Input types

### ImportOrderDraft

[fetch SDL for type ImportOrderDraft](#graphql-partial-sdls).

### LineItemImportDraft

[fetch SDL for type LineItemImportDraft](#graphql-partial-sdls).

#### ProductVariantImportDraft

[fetch SDL for type ProductVariantImportDraft](#graphql-partial-sdls).

### CustomLineItemImportDraft

[fetch SDL for type CustomLineItemImportDraft](#graphql-partial-sdls).

### TaxedPriceDraft

[fetch SDL for type TaxedPriceDraft](#graphql-partial-sdls).

### ShippingInfoImportDraft

[fetch SDL for type ShippingInfoImportDraft](#graphql-partial-sdls).

#### DiscountedLineItemPriceDraft

[fetch SDL for type DiscountedLineItemPriceDraft](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)